
package Gtk2::WebKit;
our @ISA = qw();
sub check_version { my ($_class, $_major, $_minor, $_micro) = @_ }
sub dl_load_flags() {}
sub major_version { my ($_class) = @_ }
sub micro_version { my ($_class) = @_ }
sub minor_version { my ($_class) = @_ }

package Gtk2::WebKit::Download;
our @ISA = qw();
sub cancel { my ($_download) = @_ }
sub get_current_size { my ($_download) = @_ }
sub get_destination_uri { my ($_download) = @_ }
sub get_elapsed_time { my ($_download) = @_ }
sub get_network_request { my ($_download) = @_ }
sub get_progress { my ($_download) = @_ }
sub get_status { my ($_download) = @_ }
sub get_suggested_filename { my ($_download) = @_ }
sub get_total_size { my ($_download) = @_ }
sub get_uri { my ($_download) = @_ }
sub new { my ($_class, $_request) = @_ }
sub set_destination_uri { my ($_download, $_destination_uri) = @_ }
sub start { my ($_download) = @_ }

package Gtk2::WebKit::GeolocationPolicyDecision;
our @ISA = qw();
sub webkit_geolocation_policy_allow { my ($_decision) = @_ }
sub webkit_geolocation_policy_deny { my ($_decision) = @_ }

package Gtk2::WebKit::NetworkRequest;
our @ISA = qw();
sub get_uri { my ($_request) = @_ }
sub new { my ($_class, $_uri) = @_ }
sub set_uri { my ($_request, $_uri) = @_ }

package Gtk2::WebKit::NetworkResponse;
our @ISA = qw();
sub _get_uri { my ($_response) = @_ }
sub _new { my ($_class, $_uri) = @_ }
sub _set_uri { my ($_response, $_uri) = @_ }

package Gtk2::WebKit::SecurityOrigin;
our @ISA = qw();
sub get_all_web_databases { my ($_security_origin) = @_ }
sub get_host { my ($_security_origin) = @_ }
sub get_port { my ($_security_origin) = @_ }
sub get_protocol { my ($_security_origin) = @_ }
sub get_web_database_quota { my ($_security_origin) = @_ }
sub get_web_database_usage { my ($_security_origin) = @_ }
sub set_web_database_quota { my ($_security_origin, $_quota) = @_ }

package Gtk2::WebKit::WebBackForwardList;
our @ISA = qw();
sub add_item { my ($_web_back_forward_list, $_history_item) = @_ }
sub contains_item { my ($_web_back_forward_list, $_history_item) = @_ }
sub get_back_item { my ($_web_back_forward_list) = @_ }
sub get_back_length { my ($_web_back_forward_list) = @_ }
sub get_back_list_with_limit { my ($_web_back_forward_list, $_limit) = @_ }
sub get_current_item { my ($_web_back_forward_list) = @_ }
sub get_forward_item { my ($_web_back_forward_list) = @_ }
sub get_forward_length { my ($_web_back_forward_list) = @_ }
sub get_forward_list_with_limit { my ($_web_back_forward_list, $_limit) = @_ }
sub get_limit { my ($_web_back_forward_list) = @_ }
sub get_nth_item { my ($_web_back_forward_list, $_index) = @_ }
sub go_back { my ($_web_back_forward_list) = @_ }
sub go_forward { my ($_web_back_forward_list) = @_ }
sub go_to_item { my ($_web_back_forward_list, $_history_item) = @_ }
sub new_with_web_view { my ($_class, $_web_view) = @_ }
sub set_limit { my ($_web_back_forward_list, $_limit) = @_ }

package Gtk2::WebKit::WebDataSource;
our @ISA = qw();
sub get_data { my ($_data_source) = @_ }
sub get_encoding { my ($_data_source) = @_ }
sub get_initial_request { my ($_data_source) = @_ }
sub get_main_resource { my ($_data_source) = @_ }
sub get_request { my ($_data_source) = @_ }
sub get_subresources { my ($_data_source) = @_ }
sub get_unreachable_uri { my ($_data_source) = @_ }
sub get_web_frame { my ($_data_source) = @_ }
sub is_loading { my ($_data_source) = @_ }
sub new { my ($_class) = @_ }
sub new_with_request { my ($_class, $_request) = @_ }

package Gtk2::WebKit::WebDatabase;
our @ISA = qw();
sub webkit_get_default_web_database_quota { my ($_class) = @_ }
sub webkit_get_web_database_directory_path { my ($_class) = @_ }
sub webkit_remove_all_web_databases { my ($_class) = @_ }
sub webkit_set_default_web_database_quota { my ($_class, $_default_quota) = @_ }
sub webkit_set_web_database_directory_path { my ($_class, $_path) = @_ }
sub webkit_web_database_get_display_name { my ($_web_database) = @_ }
sub webkit_web_database_get_expected_size { my ($_web_database) = @_ }
sub webkit_web_database_get_filename { my ($_web_database) = @_ }
sub webkit_web_database_get_name { my ($_web_database) = @_ }
sub webkit_web_database_get_security_origin { my ($_web_database) = @_ }
sub webkit_web_database_get_size { my ($_web_database) = @_ }
sub webkit_web_database_remove { my ($_web_database) = @_ }

package Gtk2::WebKit::WebFrame;
our @ISA = qw();
sub find_frame { my ($_frame, $_name) = @_ }
sub get_data_source { my ($_frame) = @_ }
sub get_horizontal_scrollbar_policy { my ($_frame) = @_ }
sub get_load_status { my ($_frame) = @_ }
sub get_name { my ($_frame) = @_ }
sub get_network_response { my ($_frame) = @_ }
sub get_parent { my ($_frame) = @_ }
sub get_provisional_data_source { my ($_frame) = @_ }
sub get_security_origin { my ($_frame) = @_ }
sub get_title { my ($_frame) = @_ }
sub get_uri { my ($_frame) = @_ }
sub get_vertical_scrollbar_policy { my ($_frame) = @_ }
sub get_web_view { my ($_frame) = @_ }
sub load_alternate_string { my ($_frame, $_content, $_base_url, $_unreachable_url) = @_ }
sub load_request { my ($_frame, $_request) = @_ }
sub load_string { my ($_frame, $_content, $_mime_type, $_encoding, $_base_uri) = @_ }
sub load_uri { my ($_frame, $_uri) = @_ }
sub new { my ($_class, $_view) = @_ }
sub print_full { my ($_frame, $_operation, $_action) = @_ }
sub reload { my ($_frame) = @_ }
sub stop_loading { my ($_frame) = @_ }

package Gtk2::WebKit::WebHistoryItem;
our @ISA = qw();
sub get_alternate_title { my ($_web_history_item) = @_ }
sub get_last_visited_time { my ($_web_history_item) = @_ }
sub get_original_uri { my ($_web_history_item) = @_ }
sub get_title { my ($_web_history_item) = @_ }
sub get_uri { my ($_web_history_item) = @_ }
sub new { my ($_class) = @_ }
sub new_with_data { my ($_class, $_uri, $_title) = @_ }
sub set_alternate_title { my ($_web_history_item, $_title) = @_ }

package Gtk2::WebKit::WebInspector;
our @ISA = qw();
sub close { my ($_web_inspector) = @_ }
sub get_inspected_uri { my ($_web_inspector) = @_ }
sub get_web_view { my ($_web_inspector) = @_ }
sub inspect_coordinates { my ($_web_inspector, $_x, $_y) = @_ }
sub show { my ($_web_inspector) = @_ }

package Gtk2::WebKit::WebNavigationAction;
our @ISA = qw();
sub get_button { my ($_navigation_action) = @_ }
sub get_modifier_state { my ($_navigation_action) = @_ }
sub get_original_uri { my ($_navigation_action) = @_ }
sub get_reason { my ($_navigation_action) = @_ }
sub set_original_uri { my ($_navigation_action, $_original_uri) = @_ }
sub set_reason { my ($_navigation_action, $_reason) = @_ }

package Gtk2::WebKit::WebPolicyDecision;
our @ISA = qw();
sub download { my ($_decision) = @_ }
sub ignore { my ($_decision) = @_ }

package Gtk2::WebKit::WebResource;
our @ISA = qw();
sub get_data { my ($_web_resource) = @_ }
sub get_encoding { my ($_web_resource) = @_ }
sub get_frame_name { my ($_web_resource) = @_ }
sub get_mime_type { my ($_web_resource) = @_ }
sub get_uri { my ($_web_resource) = @_ }
sub new { my ($_class, $_data, $_url, $_mime_type, $_encoding, $_frame_name) = @_ }

package Gtk2::WebKit::WebSettings;
our @ISA = qw();
sub copy { my ($_web_settings) = @_ }
sub new { my ($_class) = @_ }

package Gtk2::WebKit::WebView;
our @ISA = qw();
sub can_copy_clipboard { my ($_web_view) = @_ }
sub can_cut_clipboard { my ($_web_view) = @_ }
sub can_go_back { my ($_web_view) = @_ }
sub can_go_back_or_forward { my ($_web_view, $_steps) = @_ }
sub can_go_forward { my ($_web_view) = @_ }
sub can_paste_clipboard { my ($_web_view) = @_ }
sub can_redo { my ($_web_view) = @_ }
sub can_show_mime_type { my ($_web_view, $_mime_type) = @_ }
sub can_undo { my ($_web_view) = @_ }
sub copy_clipboard { my ($_web_view) = @_ }
sub cut_clipboard { my ($_web_view) = @_ }
sub delete_selection { my ($_web_view) = @_ }
sub execute_script { my ($_web_view, $_script) = @_ }
sub get_back_forward_list { my ($_web_view) = @_ }
sub get_copy_target_list { my ($_web_view) = @_ }
sub get_custom_encoding { my ($_web_view) = @_ }
sub get_editable { my ($_web_view) = @_ }
sub get_encoding { my ($_web_view) = @_ }
sub get_focused_frame { my ($_web_view) = @_ }
sub get_full_content_zoom { my ($_web_view) = @_ }
sub get_icon_uri { my ($_web_view) = @_ }
sub get_inspector { my ($_web_view) = @_ }
sub get_load_status { my ($_web_view) = @_ }
sub get_main_frame { my ($_web_view) = @_ }
sub get_paste_target_list { my ($_web_view) = @_ }
sub get_progress { my ($_web_view) = @_ }
sub get_settings { my ($_web_view) = @_ }
sub get_title { my ($_web_view) = @_ }
sub get_transparent { my ($_web_view) = @_ }
sub get_uri { my ($_web_view) = @_ }
sub get_view_source_mode { my ($_web_view) = @_ }
sub get_window_features { my ($_web_view) = @_ }
sub get_zoom_level { my ($_web_view) = @_ }
sub go_back { my ($_web_view) = @_ }
sub go_back_or_forward { my ($_web_view, $_steps) = @_ }
sub go_forward { my ($_web_view) = @_ }
sub go_to_back_forward_item { my ($_web_view, $_item) = @_ }
sub has_selection { my ($_web_view) = @_ }
sub load_html_string { my ($_web_view, $_content, $_base_uri) = @_ }
sub load_request { my ($_web_view, $_request) = @_ }
sub load_string { my ($_web_view, $_content, $_content_mime_type, $_content_encoding, $_base_uri) = @_ }
sub load_uri { my ($_web_view, $_uri) = @_ }
sub mark_text_matches { my ($_web_view, $_string, $_case_sensitive, $_limit) = @_ }
sub move_cursor { my ($_web_view, $_step, $_count) = @_ }
sub new { my ($_class) = @_ }
sub open { my ($_web_view, $_uri) = @_ }
sub paste_clipboard { my ($_web_view) = @_ }
sub redo { my ($_web_view) = @_ }
sub reload { my ($_web_view) = @_ }
sub reload_bypass_cache { my ($_web_view) = @_ }
sub search_text { my ($_web_view, $_string, $_case_sensitive, $_forward, $_wrap) = @_ }
sub select_all { my ($_web_view) = @_ }
sub set_custom_encoding { my ($_web_view, $_encoding) = @_ }
sub set_editable { my ($_web_view, $_flag) = @_ }
sub set_full_content_zoom { my ($_web_view, $_full_content_zoom) = @_ }
sub set_highlight_text_matches { my ($_web_view, $_highlight) = @_ }
sub set_maintains_back_forward_list { my ($_web_view, $_flag) = @_ }
sub set_settings { my ($_web_view, $_settings) = @_ }
sub set_transparent { my ($_web_view, $_flag) = @_ }
sub set_view_source_mode { my ($_web_view, $_view_source_mode) = @_ }
sub set_zoom_level { my ($_web_view, $_zoom_level) = @_ }
sub stop_loading { my ($_web_view) = @_ }
sub undo { my ($_web_view) = @_ }
sub unmark_text_matches { my ($_web_view) = @_ }
sub webkit_get_cache_model { my ($_class) = @_ }
sub webkit_set_cache_model { my ($_class, $_cache_model) = @_ }
sub zoom_in { my ($_web_view) = @_ }
sub zoom_out { my ($_web_view) = @_ }

package Gtk2::WebKit::WebWindowFeatures;
our @ISA = qw();
sub equal { my ($_features1, $_features2) = @_ }
sub new { my ($_class) = @_ }
